Subject: Re: [Uri-review] Requesting review of 'notes' URI scheme per RFC7595 for permanent status

From: Doug Conmy <[email-masked]>
Date: Sat, 5 Mar 2022 12:39:04 -0500

Thank you for your feedback.

I have updated the document and am now requesting that the updated document replace the current provisional assignment on file at https://www.iana.org/assignments/uri-schemes/prov/notes

The latest is being tracked here:  https://datatracker.ietf.org/doc/draft-dconmy-notes-uri-scheme/

Doug Conmy

HCL Software

----- Original message -----

From: "Graham Klyne" <[email-masked]>

To: "Doug Conmy" <[email-masked]>

Cc: "Scott Vrusho" <[email-masked]>, "Robert S Sielken" <[email-masked]>, [email-masked]

Subject: Re: [Uri-review] Requesting review of 'notes' URI scheme per RFC7595 for permanent status

Date: Thu, Feb 24, 2022 6:28 AM

Doug, thanks for the link.

I'm struggling with my response to this:  my concern is that it's not clear

that, as a proprietary-use scheme, this really qualifies for standardization

(noting that the internet draft indicates an intent for standards-track

publication).  For example, I'm not seeing any references to publicly available

documentation of the wire protocol which is intended to be invoked when

processing a 'notes' URI.  The references provided appear to be user-level

documentation;  but I haven't trawled the document links in any detail, so I

might be missing something.

Further, it's not clear to me from this document that the scheme as described

meets the requirements laid out in RFC7595 for permanent registration:

https://www.rfc-editor.org/rfc/rfc7595.html#section-3

I also note that the template doesn't fully conform to that specified in RFC7595:

https://www.rfc-editor.org/rfc/rfc7595.html#section-7.4

(I noticed this, because there's no "status" field - I was initially expecting

this to be a request for a "historic" registration - but I can't tell from the

template.)

My reading of RFC7595 is that the current provisional registration is

appropriate for 'notes' as a proprietary-use URI scheme, and I'm not seeing any

indication in the document of any intention to make the Notes protocols

public/open, which I would expect to be a precursor for standard or permanent

status.

https://www.rfc-editor.org/rfc/rfc7595.html#section-6

HTH

#g

On 23/02/2022 19:43, Doug Conmy wrote:

> The submission has been submitted as an IETF draft.

> https://datatracker.ietf.org/doc/draft-dconmy-notes-uri-scheme/

> <https://datatracker.ietf.org/doc/draft-dconmy-notes-uri-scheme/>

>     ----- Original message -----

>     From: "Graham Klyne" <[email-masked]>

>     To: "Doug Conmy" <[email-masked]>, [email-masked]

>     Cc: "Scott Vrusho" <[email-masked]>, "Robert S Sielken"

>     <[email-masked]>

>     Subject: Re: [Uri-review] Requesting review of 'notes' URI scheme per

>     RFC7595 for permanent status

>     Date: Wed, Feb 23, 2022 7:36 AM

>     What are you asking to be reviewed?  I can't see any documentation.

>     An XML attachment isn't helpful for reviewing purposes, and I can't find any

>     similarly-named published IETF draft.

>     I suggest that publication as an IETF draft and providing a link here would

>     facilitate helpful reviews.

>     #g

>     On 21/02/2022 19:38, Doug Conmy wrote:

>      > The scheme is currently provisional:

>      > https://www.iana.org/assignments/uri-schemes/prov/notes

>     <https://www.iana.org/assignments/uri-schemes/prov/notes>

>      > <https://www.iana.org/assignments/uri-schemes/prov/notes

>     <https://www.iana.org/assignments/uri-schemes/prov/notes>>

>      > As I understand it, XML is the preferred format and has been included.

>      > Thank you for your time and consideration.

>      > Doug Conmy

>      > HCL Software

>      >

>      > _______________________________________________

>      > Uri-review mailing list

>      > [email-masked]

>      > https://www.ietf.org/mailman/listinfo/uri-review

>     <https://www.ietf.org/mailman/listinfo/uri-review>

> _______________________________________________

> Uri-review mailing list

> [email-masked]

> https://www.ietf.org/mailman/listinfo/uri-review